#include <bits/stdc++.h>

using namespace std;

string s;

int main(){
    cin >> s;
    if(s[s.size() - 1] == '0') for(int i = 1; i < s.size(); i ++) cout << s[i];
    else{
        for(int i = s.size() - 1; i >= 0; i --){
            if(s[i] == '2') cout << 5;
            else if(s[i] == '5') cout << 2;
            else cout << s[i];
        }
    }
}
